## python-homematicip 1.1.2

=== requirements.txt ===
requests>=2.24.0
websocket-client>=1.0.0
async_timeout>=3.0.1
websockets>=8.1
aiohttp>=3.8.1
aiohttp_wsgi>=0.8.2

=== homematicip_samples/CheckPresenceOnPing/requirements.txt ===
homematicip>=0.9.1
ping3

=== homematicip_samples/QRCodeGenerator/requirements.txt ===
homematicip>=0.9.1
qrcode[pil]

=== homematicip_samples/SampleTemplate/requirements.txt ===
homematicip>=0.9.1

=== homematicip_samples/TelegramNotificationBot/requirements.txt ===
homematicip>=0.9.3.4
python-telegram-bot>=10.1.0

=== debian/changelog ===
python-homematicip (1.1.2-1syncable1) plucky; urgency=medium

  * Do not hard-fail on dh_auto_test, there is no passing baseline.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 10 Mar 2025 15:17:12 -0500

python-homematicip (1.1.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1083113)

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Oct 2024 22:34:20 +0200

=== debian/control ===
Source: python-homematicip
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
 python3-setuptools-scm,
Build-Depends-Indep:
 python3-aiohttp,
 python3-aiohttp-wsgi,
 python3-async-timeout,
 python3-pytest,
 python3-pytest-aiohttp,
 python3-pytest-asyncio,
 python3-pytest-cov,
 python3-pytest-rerunfailures,
 python3-requests,
 python3-websocket,
 python3-websockets,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-homematicip
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-homematicip.git
Homepage: https://github.com/hahn-th/homematicip-rest-api

Package: python3-homematicip
Architecture: all
Depends:
 python3-aiohttp,
 python3-aiohttp-wsgi,
 python3-async-timeout,
 python3-requests,
 python3-websocket,
 python3-websockets,
 ${misc:Depends},
 ${python3:Depends},
Description: API for the homematicip cloud
 This package provides a wrapper for the homematicIP REST API (Access Point
 Based). Since there is no official documentation about this API everything was
 done via reverse engineering. Use at your own risk.
 .
 This package is a dependency of Home Assistant.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/hahn-th/homematicip-rest-api.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_test:
	set -e ; set -x ; for i in `py3versions -rv 2>/dev/null` ; do \
		PYTHONPATH=.:`pwd`/src python$$i -m pytest -v tests -k 'not test_external_device and not test_wall_mounted_thermostat_pro and not test_pluggable_switch_measuring and not test_heating_thermostat and not test_heating_group and not test_switching_group and not test_shutter_device and not test_shutter_device_magnetic and not test_contact_interface_device and not test_pluggable_switch_measuring and not test_smoke_detector and not test_wall_mounted_thermostat_pro and not test_heating_thermostat and not test_temperature_humidity_sensor_outdoor and not test_weather_sensor_pro and not test_weather_sensor and not test_rotary_handle_sensor and not test_dimmer and not test_external_device and not test_meta_group and not test_heating_group and not test_security_group and not test_security_zone and not test_switching_group and not test_heating_failure_alert_group and not test_humidity_warning_rule_group' ; \
	done || true

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" https://github.com/hahn-th/homematicip-rest-api refs/tags/(\d[brc\d\.]+)
